%global _empty_manifest_terminate_build 0
Name:		python-invoke
Version:	1.7.1
Release:	1
Summary:	Pythonic task execution
License:	BSD-2-Clause
URL:		http://docs.pyinvoke.org
Source0:	https://github.com/pyinvoke/invoke/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	procps-ng
BuildArch:	noarch


%description
Invoke is a Python (2.7 and 3.4+) library for managing shell-oriented
subprocesses and organizing executable Python code into CLI-invokable tasks. It
draws inspiration from various sources (``make``/``rake``, Fabric 1.x, etc) to
arrive at a powerful & clean feature set.
For a high level introduction, including example code, please see `our main
project website <http://pyinvoke.org>`_; or for detailed API docs, see `the
versioned API website <http://docs.pyinvoke.org>`_.

%package -n python3-invoke
Summary:	Pythonic task execution
Provides:	python-invoke
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-invoke
Invoke is a Python (2.7 and 3.4+) library for managing shell-oriented
subprocesses and organizing executable Python code into CLI-invokable tasks. It
draws inspiration from various sources (``make``/``rake``, Fabric 1.x, etc) to
arrive at a powerful & clean feature set.
For a high level introduction, including example code, please see `our main
project website <http://pyinvoke.org>`_; or for detailed API docs, see `the
versioned API website <http://docs.pyinvoke.org>`_.

%package help
Summary:	Development documents and examples for invoke
Provides:	python3-invoke-doc
%description help
Invoke is a Python (2.7 and 3.4+) library for managing shell-oriented
subprocesses and organizing executable Python code into CLI-invokable tasks. It
draws inspiration from various sources (``make``/``rake``, Fabric 1.x, etc) to
arrive at a powerful & clean feature set.
For a high level introduction, including example code, please see `our main
project website <http://pyinvoke.org>`_; or for detailed API docs, see `the
versioned API website <http://docs.pyinvoke.org>`_.

%prep
%autosetup -n invoke-%{version}
rm -rvf invoke/vendor/yaml2/*

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-invoke -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Sat Oct 29 2022 Ge Wang <wangge20@h-partners.com> - 1.7.1-1
- Upgrade to version 1.7.1

* Wed Jan 19 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.6.0-1
- Upgrade to version 1.6.0

* Mon Feb 01 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
